/*
///////////////////////////////////////////////////////////////////////////////////
// Open SCAD Notes
% = background : # = debug : ! = root : * = disable

union() : intersection() : difference() : minkowski() :hull()
translate([X, Y, Z]) : rotate([X,Y,Z]) : scale([x, y, z])
linear_extrude(height = X, center = true, convexity = 10, twist = Y, slices = 20)

square ([X,Y],center = true) : cube([X, Y, Z], center=true)
circle(r = X) : cylinder(r1=X, r2=Y, h=Z, center=true, $fn=20) : sphere(2, $fn=100)
color("Red",0.7)

polygon(points=[[-50,0],[-50,50],[50,50],[50,0]], paths=[[0,1,2,3]]);
polyhedron(points=[[-50,0],[-50,50],[50,50],[50,0], triangles=[[1,0,3],[2,1,3]]);

//Minkowski Polygon
	minkowski() {
		polygon(points=[[-50,0],[-50,50],[50,50],[50,0]], paths=[[0,1,2,3]]);
		circle(10, center=true, $fn=30);
	}

//Minkowski polyhedron
	minkowski() {
	polyhedron(points=[[-50,0],[-50,50],[50,50],[50,0]], triangles=[[1,0,3],[2,1,3]]);
		sphere(8, center=true, $fn=30);
	}
// STL Import
translate([0, 0, 0])
import("OpenBeam.stl");

///////////////////////////////////////////////////////////////////////////////////
*/

$fn=60;

base_height=3;
nut_height=22;
scale=0.99;


//VSLOT z_nut
module z_nut() {
	difference() {
		union() {
			intersection() {
				translate([0, 0, 0]) rotate([0, 0, 0])
				 cube([12.2, 20, nut_height], center=true);

				translate([0, 0, 0]) rotate([0, 0, 45/2])
				 cylinder(r=13.7/2, h=nut_height, center=true, $fn=8);
			}
			translate([0, 0, 0]) rotate([0, 0, 0])
		 	 cube([5.4, 20-3.6, nut_height], center=true);
			translate([0, 0, 0]) rotate([0, 0, 90])
		 	 cube([5.68, 12.2, nut_height], center=true);
		}
		
// nut cutout
#			translate([0, 0, 0]) rotate([0, 0, 30])
			 cylinder(r=11.1/2, h=22.5, center=true, $fn=6);

//central bore 
			translate([0, 0, nut_height/2]) rotate([0, 0, 45/2])
			 cylinder(r=7/2, h=nut_height*3, center=true);				
	}
}

module base() {
	difference() {
//base
			translate([0, 0, base_height/2]) rotate([0, 0, 90])
		 	 cube([20, 40, base_height], center=true);
		
// bores
			translate([0, 0, nut_height/2]) rotate([0, 0, 0])
			 cylinder(r=7/2, h=nut_height*3, center=true);
		
			translate([10, 0, 0]) rotate([0, 0, 0])
			 cylinder(r=6/2, h=nut_height*2, center=true);
		
			translate([-10, 0, 0]) rotate([0, 0, 0])
			 cylinder(r=6/2, h=nut_height*2, center=true);
	}

}


//render
	translate([0, 0, nut_height/2+base_height-1]) scale([scale, scale, scale])
	 z_nut();
	translate([0, 0, 0]) rotate([0, 0, 0])
	 base();




